Package com.sas.iom

# Class WorkspaceFactoryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.sas.util.UncheckedException
com.sas.iom.WorkspaceFactoryException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

public class WorkspaceFactoryException extends com.sas.util.UncheckedException
The exception class for the WorkspaceFactory. Sometimes this class is merely a wrapper for an exception throw from deep within the factory.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkspaceFactoryException()`
  No-argument constructor.
  `WorkspaceFactoryException(String message)`
  Constructor with message.
  `WorkspaceFactoryException(String message, Throwable nestedException)`
  Wrapper constructor.
  `WorkspaceFactoryException(Throwable nestedException)`
  Wrapper constructor.

- ## Method Summary

  ### Methods inherited from class com.sas.util.UncheckedException

  `getRootException, getTargetException, toString`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WorkspaceFactoryException

    public WorkspaceFactoryException()
    No-argument constructor.

  - ### WorkspaceFactoryException

    public WorkspaceFactoryException(String message)
    Constructor with message.
    Parameters:
      `message` - a message adding detail to the exception

  - ### WorkspaceFactoryException

    public WorkspaceFactoryException(Throwable nestedException)
    Wrapper constructor.
    Parameters:
      `nestedException` - exception being wrapped

  - ### WorkspaceFactoryException

    public WorkspaceFactoryException(String message, Throwable nestedException)
    Wrapper constructor.
    Parameters:
      `message` - a message to include in the exception.
      `nestedException` - an exception being wrapped.